/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2009. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1
#define  PANEL_INSTR_DESC                 2
#define  PANEL_IDQUERY                    3
#define  PANEL_RESET                      4
#define  PANEL_DECORATION                 5
#define  PANEL_TEXT                       6
#define  PANEL_STOP                       7       /* callback function: stopButton */
#define  PANEL_EXIT                       8       /* callback function: exitButton */
#define  PANEL_START                      9       /* callback function: startButton */
#define  PANEL_DISPLAY                    10
#define  PANEL_GRAPH                      11
#define  PANEL_S_PARAMETER_IN             12
#define  PANEL_S_PARAMETER_OUT            13
#define  PANEL_STOP_FREQUENCY             14
#define  PANEL_START_FREQUENCY            15
#define  PANEL_SWEEP_NUMBER               16
#define  PANEL_TIMER                      17      /* callback function: timer */
#define  PANEL_TEXTMSG                    18


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK exitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK timer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
