/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2008. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1
#define  PANEL_INSTR_DESC                 2
#define  PANEL_IDQUERY                    3
#define  PANEL_RESET                      4
#define  PANEL_DECORATION                 5
#define  PANEL_TABLE                      6
#define  PANEL_TEXT                       7
#define  PANEL_STOP                       8       /* callback function: stopButton */
#define  PANEL_EXIT                       9       /* callback function: exitButton */
#define  PANEL_NEW_CHANNEL                10      /* callback function: createNewChannel */
#define  PANEL_NEW_TRACE                  11      /* callback function: createNewTrace */
#define  PANEL_START                      12      /* callback function: startButton */
#define  PANEL_DISPLAY                    13
#define  PANEL_GRAPH                      14
#define  PANEL_SWEEP_NUMBER               15
#define  PANEL_TIMER                      16      /* callback function: timer */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK createNewChannel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK createNewTrace(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK exitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK stopButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK timer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
